<html>
<script src="../js/angular.js"></script>

<body>

    <script>
        var app = angular.module("myShoppingList", []);
        app.controller("myCtrl", function ($scope) {
            $scope.addMe='';
            $scope.products = ["Milk", "Bread", "Cheese"];
            $scope.addItem = function () {
                $scope.products.push($scope.addMe);
                $scope.addMe='';
            }
            $scope.removeItem = function(x){
                if (confirm("Are you sure?")){
                    $scope.products.splice(x,1);
                }
            }
        });
    </script>

    <div ng-app="myShoppingList" ng-controller="myCtrl">
        <!-- <ul>
            <li ng-repeat="x in products">
                {{x}} 
                <button style="background-color: red; color: white; " ng-click="removeItem($index)">x</button>
            </li>
        </ul> -->
        <h2>Shopping List</h2>
        <input ng-model="addMe">        
        <button ng-disabled="addMe==''" ng-click="addItem()">Add Product</button>
        <br><br>
        <table border="1px solid gray" cellpadding="5px" style="width:300px; border-collapse: collapse;">
            <tr>
                <th>SrNo.</th><th>Product Name</th><th>Action</th>
            </tr>
            <tr ng-repeat="product in products">
                <th>{{$index+1}}</th>
                <th align="left">{{product}}</th>
                <th><button style="background-color: red; color: white; " ng-click="removeItem($index)">x</button></th>
            </tr>

        </table>

    </div>

    <p>
        have a Fun @shopping
    </p>
</body>

</html>